Subject: Re: bug#61312: Patch for eglot: scala LSP binary name
From: Eli Zaretskii <[email-masked]>
To: João Távora <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 09 Feb 2023 12:18:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: João Távora <[email-masked]>
> Date: Mon, 6 Feb 2023 18:45:39 +0000
> Cc: skykanin <[email-masked]>, [email-masked]
> 
> As usual, I defer this decision to you. I think it's reasonable to
> support both names, and I also think it's reasonable to stick to 
> just the one we think is most used or representative of the 
> program.
> 
> In this case, I think "metals-emacs" is a contradiction of LSP's
> stated goal, which is to have editor-agnostic servers. But I 
> don't know what the reasons were for doing this, I haven't
> investigated.
> 
> It would be even more reasonable, I think, if distributions 
> settled -- or mostly settled - on names for their binaries they 
> distribute, much like *nix toolchains do. Of course we do not 
> control that process, but maybe we could influence it instead
> of being constantly influenced by it.

Thanks, I went with supporting both names in Emacs 29.  I cannot see
any harm in supporting both, once "metals" is the first name to check.

With that, I'm closing this bug.